import os

import testinfra.utils.ansible_runner

import commons

# /!\ This test run accross all servers
testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(os.environ["MOLECULE_INVENTORY_FILE"]).get_hosts("postgres")


def test_postgresql_check_repmgr_new_master(host):
    ''' check repmgr status for each node after new master election '''

    if host.ansible.get_variables()["inventory_hostname"].startswith("db0-default"):
        data = commons.get_status(host)
        assert data == "fenced"
    if host.ansible.get_variables()["inventory_hostname"].startswith("db1-default"):
        data = commons.get_status(host)
        assert data == "primary"
    if host.ansible.get_variables()["inventory_hostname"].startswith("db2-default"):
        data = commons.get_status(host)
        assert data == "witness"
